            #GIT_CMT=d0f2a156273c29efc5402c088e81e57cd15523fe
Summary:	Utilities for managing the XFS filesystem
Name:		xfsprogs
Version:	4.15
Release:    7.0.1.el7
# Licensing based on generic "GNU GENERAL PUBLIC LICENSE"
# in source, with no mention of version.
# doc/COPYING file specifies what is GPL and what is LGPL
# but no mention of versions in the source.
License:	GPL+ and LGPLv2+
Group:		System Environment/Base
URL: https://xfs.wiki.kernel.org/
Source0: xfsprogs-4.15.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libtool, gettext, libattr-devel, libuuid-devel
BuildRequires:	readline-devel, libblkid-devel >= 2.17-0.1.git5e51568
Buildrequires:	libunistring-devel, lvm2-devel
Provides:	xfs-cmds
Obsoletes:	xfs-cmds <= %{version}
Provides:	xfsprogs-qa-devel
Obsoletes:	xfsprogs-qa-devel <= %{version}
Conflicts:	xfsdump < 3.0.1

Patch0:		xfsprogs-disable-default-crc.patch
Patch1:		xfsprogs-disable-scrub.patch
Patch2:		xfsprogs-4.5.0-change-mkfs-options.patch
Patch3:		xfsprogs-4.16-xfs_repair-handle-corrupt-log.patch
Patch4:		xfsprogs-4.17.0-xfsprogs-be-careful-about-what-we-stat-in-platform_c.patch
Patch5:		xfsprogs-4.17.0-xfs_io-add-label-command.patch
Patch6:		xfsprogs-4.18-repair-root-parent.patch
Patch7:		xfsprogs-convert-XFS_AGFL_SIZE-to-a-helper-function.patch
Patch8:		xfs-rename-agfl-perag-res-type-to-rmapbt.patch
Patch9:		xfs-account-only-rmapbt-used-blocks-against-rmapbt-perag-res.patch
Patch10:		xfsprogs-detect-agfl-count-corruption-and-reset-agfl.patch
Patch11:		mkfs-add-xmem-wrapper-script.patch
Patch12:		mkfs-avoid-divide-by-zero.patch
Patch13:		xfsprogs-Fix-uninitialized-cfg-lsunit.patch
Patch14:		mkfs.xmem_fix_agcount_issue.patch
Patch15:		xfs_repair-continue-after-xfs_bunmapi-deadlock-avoid.patch

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary: XFS filesystem-specific headers
Group: Development/Libraries
Requires: xfsprogs = %{version}-%{release}, libuuid-devel

%description devel
xfsprogs-devel contains the header files needed to develop XFS
filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
export tagname=CC
libtoolize -c -i -f ; aclocal -I m4 ; autoconf ; 
cp include/install-sh ./
%configure \
        --enable-readline=yes   \
        --enable-blkid=yes

# Kill rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make V=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make V=1 DIST_ROOT=$RPM_BUILD_ROOT install install-dev \
	PKG_ROOT_SBIN_DIR=%{_sbindir} PKG_ROOT_LIB_DIR=%{_libdir}

# nuke .la files, etc
rm -f $RPM_BUILD_ROOT/{%{_lib}/*.{la,a,so},%{_libdir}/*.{la,a}}
chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/libhandle.so.*.*.*

# remove non-versioned docs location
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/xfsprogs/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/CHANGES doc/COPYING doc/CREDITS README
%{_libdir}/*.so.*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_mandir}/man2/*
%{_mandir}/man3/*
%dir %{_includedir}/xfs
%{_includedir}/xfs/handle.h
%{_includedir}/xfs/jdm.h
%{_includedir}/xfs/linux.h
%{_includedir}/xfs/xfs.h
%{_includedir}/xfs/xfs_arch.h
%{_includedir}/xfs/xfs_fs.h
%{_includedir}/xfs/xfs_types.h
%{_includedir}/xfs/xfs_format.h
%{_includedir}/xfs/xfs_da_format.h
%{_includedir}/xfs/xfs_log_format.h
%{_includedir}/xfs/xqm.h

%{_libdir}/*.so

%changelog
* Wed Mar 30 2022 Srikanth C S <srikanth.c.s@oracle.com> - 4.15-7.0.1.el7
- mkfs: Increase the default log size to 100MB (Darrick J. Wong)  [Orabug:
  33990187]

* Wed Aug 04 2021 Allison Henderson <allison.henderson@oracle.com> - 4.15-6.0.1.el7
- xfs_repair: continue after xfs_bunmapi deadlock avoidance (Allison Henderson)  
- Update mkfs.xmem script (Allison Henderson)

* Sun Jul 21 2019 Allison Henderson <allison.henderson@oracle.com> - 4.15-6.el7
- xfsprogs: Fix uninitialized cfg->lsunit (Allison Henderson)  [Orabug:
  29710712]

* Fri May 24 2019 Allison Henderson <allison.henderson@oracle.com> - 4.15-5.el7
- mkfs: Backport fix to avoid divide-by-zero error (Allison Henderson)

* Mon Mar 18 2019 Allison Henderson <allison.henderson@oracle.com> - 4.15-4.el7
- Add a wrapper script to detect pmem devices and set mkfs.xfs options appropriately. (Darrick J. Wong)  [Orabug: 29216384] 
- Port upstream agfl corruption fixes (Allison Henderson)  [Orabug: 28721740] 
- Re-apply agfl struct packing revert (Allison Henderson)

* Fri Aug 31 2018 Allison Henderson <allison.henderson@oracle.com> - 4.15-2.el7
- Port upstream patches from xfsprogs-4.5.0-18.el7

* Tue Apr 03 2018 Allison Henderson <allison.henderson@oracle.com> - 4.15-1.el7
- Add buildrpm tree for autobuilds

